LEAKTEST(8)

NAME
leaktest - try to produce a leak

SYNOPSIS
leaktest

DESCRIPTION
Anon-Workstation specific leaktest.

Advanced users, developers and auditors only!

Runs the leak tests /usr/libexec/helper-scripts/leak-tests/exhaustive_ip_send.py, /usr/libexec/helper-scripts/leak-tests/tcp_test.py and /usr/libexec/helper-scripts/leak-tests/udp_test.py.

There are other leak tests as well, please refer to the online documentation.

RETURN VALUES
Return codes do not implicate the existence or absence of leaks! Returns 0, if no script error has been caught, otherwise returns 1. Please report a bug in case you catch return value 1.

HOW TO INTERPRET THE RESULT
It requires a background on basic networking, which is unfortunately outside the scope of this man page and documentation. Online documentation pages LeakTests and LeakTestsOld contain hints for interpretation and other leak tests.

WWW
https://www.whonix.org/wiki/Dev/Leak_Tests

https://www.whonix.org/wiki/Dev/Leak_Tests_Old

AUTHOR
This man page has been written by Patrick Schleizer (adrelanos@whonix.org).